post
https://{URL}/v1/open-api/transactions/inquiry-postpaid
This method allows resellers to inquire about various postpaid products before processing payments. The endpoint supports the following postpaid products: Electricity bill (PLN Pascabayar), Water bill (PDAM), BPJS, Internet Cable TV, Phone Postpaid and Multifinance.
A. Request Header
| Field | Format | Mandatory | Length | Example |
|---|---|---|---|---|
| content-type | string | Y | application/json | |
| Open-Api-Timestamp | yyyy-mm-dd'T'hh:mm:ss+07:00 | Y | 2024-02-07T10:28:35.000+07:0 | |
| Open-Api-Signature | Digital Signature | Y | 88 | vNMoAmiDRV+paVyD5FaidgI5kRy2p Co8oEoQN/GBpIPuO3eicY63b7xY0W DffScvkOZsZ1442ewabI7Wzd22pw== |
B. Request Body
| Field | Type | Description | Required | Example |
|---|---|---|---|---|
| account_number | string | The account number associated with the account | true | 8888801433177155 |
| period | string | The value of the period for product. (This period only required for BPJS) | false | "1" |
| product_code | string | Unique identifier for the product | true | “RBASRBPJSKSH |
C. Sample Request
{
"account_number": "514040400482",
"product_code": "POSTPAIDPLN"
}
{
"account_number": "520511567087",
"product_code": "POSTPAIDPLN"
}
{
"account_number": "533512366386",
"product_code": "POSTPAIDPLN"
}
{
"account_number": "1160026",
"product_code": "PDAMACEHTGR"
}
{
"account_number": "1726010024",
"product_code": "PDAMMJK"
}
{
"account_number": "107917",
"product_code": "PDAMABOJ"
}
{
"account_number": "11632498",
"product_code": "FIRSMEDIA"
}
{
"account_number": "12524412",
"product_code": "FIRSMEDIA"
}
{
"account_number": "1778551",
"product_code": "FIRSMEDIA"
}
{
"account_number": "547010008701",
"product_code": "RBKREDITBAF"
}
{
"account_number": "607002393411",
"product_code": "RBFNFIF"
}
{
"account_number": "225010040304",
"product_code": "RBKREDITBAF"
}
{
"account_number": "8888801433177155",
"period":"1",
"product_code": "RBASRBPJSKSH"
}
D. Response Body
| Field | Type | Description | Example |
|---|---|---|---|
| response_code | string | Contains the OpenAPI response code | “200022000” |
| response_message | string | Contains the value of OpenAPI response message | “Sukses” |
| data | object | An object or object array containing additional information about the postpaid inquiry | |
inquiry_id | string | An identifier for the inquiry or request | “a28b4a20-8bd8-4018-8b12-6dfcf3384542” |
account_number | string | The account number associated with the transaction or inquiry | “516070377775” |
product_name | string | The value of product’s name | “PLN Pascabayar” |
amount | int | The buy price from the partner to Klikoo. The amount will deduct the partner’s balance on Klikoo when the transaction status is success | 25720 |
capacity | string | The capacity or size of the product | “5400 kWh” |
customer_name | string | Name of the customer involved in the transaction | “INDAH PUTRI” |
due date | string | The date by which payment or action is due | “” |
period | string | The value of the period for product | “1” |
admin | int | The amount of the admin fee associated with the transaction | 0 |
total_amount | int | The total amount of the transaction | 25720 |
ref | string | A reference number or identifier for the transaction | “” |
initial_stan | string | The initial stan for the transaction | “” |
final_stan | string | The final stan for the transaction | “” |
reference_number | string | A reference number or identifier for the transaction | “” |
tariff | string | The tariff or rate applied to the transaction | “” |
number_of_months | string | The number of months covered by the transaction | “” |
| product | object | An object or object array containing additional information about the product | |
category | string | The category of the product | “PLN Pascabayar” |
category_detail | string | Additional details about the category of the product | “PLN” |
start_from | string | The starting date or point for the transaction | “0” |
| objs | object | An object or object array containing additional information about the transaction | |
product_uuid | string | The Universally Unique Identifier (UUID) for the product | “98531f5a-aacd-4be9-958c-9ada3c2b3a7d” |
product_name | string | The value of product’s name | “PLN Pascabayar” |
total_price | string | The total price of the product | “25360” |
selling_price | string | The selling price of the product from the partner. This value is required to calculate the margin value to be shown on the dashboard. It can be set as same as amount if you wouldn’t like to show the margin on the dashboard | "25720" |
E. Sample Response
{
"response_code": "200022000",
"response_message": "Sukses",
"data": {
"inquiry_id": "a28b4a20-8bd8-4018-8b12-6dfcf3384542",
"account_number": "514040400482",
"product_name": "PLN Pascabayar",
"amount": 25720,
"capacity": "5400 kWh",
"customer_name": "INDAH PUTRI",
"due_date": "",
"period": "1",
"admin": 0,
"total_amount": 25720,
"ref": "",
"initial_stan": "",
"final_stan": "",
"reference_number": "",
"tariff": "",
"number_of_months": "",
"product": {
"category": "PLN Pascabayar",
"category_detail": "PLN",
"start_from": "0",
"objs": {
"product_uuid": "98531f5a-aacd-4be9-958c-9ada3c2b3a7d",
"product_name": "PLN Pascabayar",
"total_price": "25360",
"selling_price": "25720"
}
}
}
}
{
"response_code": "200022000",
"response_message": "Sukses",
"data": {
"inquiry_id": "7f35280e-8d16-4d52-8025-6cb73f64581e",
"account_number": "1160026",
"product_name": "PDAM BOGOR",
"amount": 87500,
"capacity": "1023-0=1023",
"customer_name": "MARIA SOFI",
"due_date": "",
"period": "",
"admin": 0,
"total_amount": 87500,
"ref": "",
"initial_stan": "",
"final_stan": "",
"reference_number": "",
"tariff": "",
"number_of_months": "",
"product": {
"category": "PDAM BOGOR",
"category_detail": "PAMKBBOR",
"start_from": "0",
"objs": {
"product_uuid": "ece9d3f6-f441-4e3f-aed7-450af56f8f0d",
"product_name": "PDAM BOGOR",
"total_price": "85520",
"selling_price": "87500"
}
}
}
}
{
"response_code": "200022000",
"response_message": "Sukses",
"data": {
"inquiry_id": "b969001e-cf4d-4f02-a5d7-b7ba7c82155f",
"account_number": "622177311",
"product_name": "Netflix",
"amount": 108900,
"capacity": "",
"customer_name": "IRVAN SOFIAN",
"due_date": "2024-04-24",
"period": "",
"admin": 0,
"total_amount": 108900,
"ref": "2818131003",
"initial_stan": "",
"final_stan": "",
"reference_number": "",
"tariff": "",
"number_of_months": "",
"product": {
"category": "Netflix",
"category_detail": "Netflix",
"start_from": "0",
"objs": {
"product_uuid": "2e9305ee-c232-474d-b9d2-172cf70f2317",
"product_name": "Netflix",
"total_price": "108600",
"selling_price": "108900"
}
}
}
}
{
"response_code": "404027010",
"response_message": "Tagihan sudah dibayar",
"data": null
}
{
"response_code": "200022000",
"response_message": "Sukses",
"data": {
"inquiry_id": "6d53c3c7-eb0e-4bc8-b2aa-85c31f005a5b",
"account_number": "547010008701",
"product_name": "PT Wahana Ottomitra Multiartha Tbk",
"amount": 1005500,
"capacity": "",
"customer_name": "ABDUL AZIZ",
"due_date": "2024-04-25",
"period": "",
"admin": 0,
"total_amount": 1010500,
"ref": "2818131630",
"initial_stan": "",
"final_stan": "",
"reference_number": "",
"tariff": "",
"number_of_months": "",
"product": {
"category": "PT Wahana Ottomitra Multiartha Tbk",
"category_detail": "PT Wahana Ottomitra Multiartha Tbk",
"start_from": "0",
"objs": {
"product_uuid": "a5a6989a-a61e-4cc8-926e-b3504087253a",
"product_name": "PT Wahana Ottomitra Multiartha Tbk",
"total_price": "1009900",
"selling_price": "1010500"
}
}
}
}
{
"response_code": "200022000",
"response_message": "Sukses",
"data": {
"inquiry_id": "ef4f0572-0def-404e-80ad-8128e974a936",
"account_number": "8888801433177155",
"product_name": "BPJS Kesehatan",
"amount": 1,
"capacity": "",
"customer_name": "WARDI",
"due_date": "2024-04-29",
"period": "1",
"admin": 0,
"total_amount": 2501,
"ref": "2818133949",
"initial_stan": "",
"final_stan": "",
"reference_number": "",
"tariff": "",
"number_of_months": "",
"product": {
"category": "BPJS Kesehatan",
"category_detail": "BPJS Kesehatan",
"start_from": "0",
"objs": {
"product_uuid": "ce7b720d-5201-4b0f-a083-721715a28904",
"product_name": "BPJS Kesehatan",
"total_price": "1421",
"selling_price": "2501"
}
}
}
}
Try It Here (Form)
To try the following endpoint, enter the example request data you want to use in the following form